## com.google.gwt.user.client.ui
Class PopupListenerCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<PopupListener>
                  com.google.gwt.user.client.ui.PopupListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<PopupListener>, java.util.Collection<PopupListener>, java.util.List<PopupListener>, java.util.RandomAccess

    public class PopupListenerCollection

extends java.util.ArrayList<PopupListener>

A helper class for implementers of the SourcesPopupEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `PopupListener`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`PopupListenerCollection()`

Method Summary
`void` `firePopupClosed(PopupPanel sender, boolean autoClosed)` Fires a popup closed event to all listeners.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### PopupListenerCollection

    public PopupListenerCollection()

Method Detail

### firePopupClosed

    public void firePopupClosed(PopupPanel sender,
                                boolean autoClosed)

  Fires a popup closed event to all listeners.

  Parameters:
    `sender` - the widget sending the event.
    `autoClosed` - `true` if the popup was automatically closed; `false` if it was closed programmatically.